QGIS Application - Bug report #4324
wrong scale in print composer?
2011-09-26 08:18 AM - Otto Dassau

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 14261
Description

Hi,

using the print composer there are sometimes sudden scale changes within a map window. They appear in raster layers (aerial imagery)
and vector shape layer (parcel boundaries). Details are visible in the desktop segment of the program interface and in the resulting
generated print. See figures scale_dependent_shift1.png and scale_dependent_shift2.tif.

What could be the reason for it?

Thanks a lot
Otto

History

#1 - 2011-09-27 05:16 AM - Bill Williamson

Hi Otto,

there was a ticket a while back lodged by Nathan which was consistent with my experience, there was an offset problem when generating pdf maps
directly out of composer. We found that printing to an installed pdf printer did not have the problem. | can't find the old ticket and presume there has been
some fix, but perhaps the same territory as your problem.

| don't fully understand your example (I see aproblem but the blue arrow points to ? and | don't read German)

Any more detail from your end?

cheers

#2 - 2011-11-12 05:51 AM - Tim Sutton
- Target version changed from Version 1.7.1 to Veersion 1.7.2

#3 - 2011-11-30 12:40 PM - Giovanni Manghi
- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:54 AM - Giovanni Manghi
- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2012-04-16 06:29 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No
- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master
#6 - 2012-07-10 08:43 AM - Marco Hugentobler
- Status changed from Open to Feedback

Is this still true with latest master?

#7 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2013-05-18 09:07 AM - Giovanni Manghi

- Status changed from Feedback to Closed
- Resolution set to worksforme

closing for lack of feedback, reopen if necessary.

#9 - 2013-10-28 07:41 AM - Thaddeus -

- Status changed from Closed to Reopened

| just came across this erratic behavior of the scale on the Map object of the Composer: after reopening the QGS file, the scale edit box shows a different

number (from 240 to 244) and features on the Map object are off the original place.

Also, when manually setting the Map Extents and switching to the Map tab and back to Map Extents, the map corners are rounded off to slightly different
numbers, eg, from -7073732.123 to -7073732.118.

Tried this on QGIS 1.8 and 2.0 on Linux and also on MSWin with same results.

My 2 cents:

The ComposerMap entry on the main XML file is saving the map corners in scientific notation rounding off the number to the closets 10m number: it's using

only 5 decimal places.
On my test, the CRS is a Modified Mercator (900913) that needs numbers as large as 26706198.518000 meters.
<Composer title="Composer 5" visible="1">
<ComposerMap ... >
<Extent ymin="5.56758e+06" xmin="-7.07373e+06" ymax="5.56764e+06" xmax="-7.07363e+06"/>
</ComposerMap>
</Composer>
#10 - 2014-04-06 06:03 AM - Jiirgen Fischer

- Category changed from 33 to Map Composer/Printing

#11 - 2014-06-28 07:40 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#12 - 2014-10-22 12:23 AM - Nyall Dawson
- Status changed from Reopened to Feedback

Is this still an issue? | can't reproduce it and suspect it's been solved.

#13 - 2014-11-22 10:12 AM - Giovanni Manghi
- Status changed from Feedback to Closed

closing for lack of feedback, reopen if necessary.
